Rebuild a Slice

Type: POST

https://cloud.syminet.com/api/v1/slices/{SLICE_ID}/rebuild

Rebuild SLICE_ID using os_name distribution image, and optionally a password you specify. Any IP Address(es) and firewalls for the slice remain intact.

Warning

Rebuilding a slice will erase all disk data and reformat with the new image.

Required URL Parameters:

SLICE_ID

Slice ID to rebuild.

Required JSON Properties:

slice_name

Slice name.

os_name

Distribution name (debian11, etc.), osinfo-query os command on linux systems. See the panel slug reference page at https://cloud.syminet.com/slices/slugs/dists ↗ or the slug reference page for API access to slugs.

Optional JSON Properties:

password:

root password. If none is specified, one is randomly generated and emailed to you. Minimum 8 characters, mixed cAsE, at least 1 number.

Curl
 curl --request POST \
      --url https://cloud.syminet.com/api/v1/slices/SLICE_ID/rebuild \
      --header "content-type: application/json" \
      --header "authorization:bearer $API_TOKEN" \
      --data '
      {
         "os_name": "debian12"
      }
      '

Response: 202 OK